com.microfocus.awm.control.toolexecution

## Class PropertyOutputParameter

- java.lang.Object
- - com.microfocus.awm.control.toolexecution.internal.AbstractToolParameter
  - - com.microfocus.awm.control.toolexecution.ToolOutputParameter
    - - com.microfocus.awm.control.toolexecution.PropertyOutputParameter

- All Implemented Interfaces:
    IDynamicObject, IPropertyOutputParameter, IPropertyParameter, IToolOutputParameter, IToolParameter

      public class PropertyOutputParameter
      extends ToolOutputParameter
      implements IPropertyOutputParameter

  Output parameter implementation to return a property value.
  Author:
    Micro Focus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyOutputParameter(IModeledPropertyOutputParameter pModeledOutParm, boolean pBooleanValue)` Property output parameter with a boolean value.
    `PropertyOutputParameter(IModeledPropertyOutputParameter pModeledOutParm, java.lang.String pValue)` Standard constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Property` | `getTargetID()`

    - ### Methods inherited from class com.microfocus.awm.control.toolexecution.ToolOutputParameter

      `getModelObject, getValue, toString`

    - ### Methods inherited from class com.microfocus.awm.control.toolexecution.internal.AbstractToolParameter

      `getAttributes, isMassProcessingParameter`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IToolOutputParameter

      `getModelObject, getValue`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IToolParameter

      `isMassProcessingParameter`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IDynamicObject

      `getAttributes, getAttributeValue, getComplexAttributes`

- - ### Constructor Detail

    - #### PropertyOutputParameter

          public PropertyOutputParameter(IModeledPropertyOutputParameter pModeledOutParm,
                                         java.lang.String pValue)

      Standard constructor. Simply maps the given value to the modeled output parameter, so it equivalent to using `ToolOutputParameter.ToolOutputParameter(com.microfocus.awm.model.toolexecution.IModeledToolOutputParameter, Object)`.
      Parameters:
        `pModeledOutParm` - the modeled output parameter
        `pValue` - the value to return

    - #### PropertyOutputParameter

          public PropertyOutputParameter(IModeledPropertyOutputParameter pModeledOutParm,
                                         boolean pBooleanValue)

      Property output parameter with a boolean value. The value will be converted to a string depending on the modeled target ID property of the parameter.

      If a property of type `ETypes.BOOLEAN` is referenced by the parameter, the parameter value will be converted to the properties `True Value` or `False Value`. In all other cases `true` or `false` will be used as value.

      Parameters:
        `pModeledOutParm` - the modeled output parameter
        `pBooleanValue` - parameter value

  - ### Method Detail

    - #### getTargetID

          public Property getTargetID()

      Specified by:
        `getTargetID` in interface `IPropertyParameter`
      Specified by:
        `getTargetID` in interface `IToolOutputParameter`
      Specified by:
        `getTargetID` in interface `IToolParameter`
      Overrides:
        `getTargetID` in class `AbstractToolParameter`
      Returns:
        the target ID, which can be `null`

Copyright © 2015 Micro Focus GmbH. All rights reserved.